Bug 558857 - [abrt] crash in mono-core-2.4.3.1-1.fc12
[abrt] crash in mono-core-2.4.3.1-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
abrt_hash:cc5976e2125aea62e7c833626b0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-26 10:24 EST by Scott J Henson
Modified: 2010-12-03 18:46 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:46:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.31 KB, text/plain)
2010-01-26 10:24 EST, Scott J Henson
no flags Details
backtrace (from f-spot) (48.18 KB, text/plain)
2010-02-01 11:11 EST, Tim Waugh
no flags Details

  None (edit)
Description Scott J Henson 2010-01-26 10:24:44 EST
abrt 1.0.4 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/mono /usr/lib64/gnome-rdp/gnome-rdp.exe
comment: Basically all I did was try to connect to a Win2k3 host.  
component: mono
executable: /usr/bin/mono
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: mono-core-2.4.3.1-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Open gnome-do
2. Add a host to connect to
3. Attempt to connect to it
Comment 1 Scott J Henson 2010-01-26 10:24:46 EST
Created attachment 386852 [details]
File: backtrace
Comment 2 Tim Waugh 2010-02-01 11:11:40 EST
Created attachment 388073 [details]
backtrace (from f-spot)

I've run into the same crash when using f-spot.
Comment 3 Misha Shnurapet 2010-04-07 03:42:17 EDT

Comment
-----
Clicked to reduce the rating of a played song (ratings stored in tags).
Comment 4 Misha Shnurapet 2010-04-07 13:25:20 EDT

Comment
-----
Clicked to skip to next track more than once.
Comment 5 Misha Shnurapet 2010-04-07 13:31:12 EDT

How to reproduce
-----
1. Turn "Store ratings and play count numbers in tags" option;
2. Start playback;
3. While playing, click through the list of tracks using the "skip to next" button.
Comment 6 Christian Krause 2010-04-07 17:12:42 EDT
(In reply to comment #5)
> 
> How to reproduce
> -----
> 1. Turn "Store ratings and play count numbers in tags" option;
> 2. Start playback;
> 3. While playing, click through the list of tracks using the "skip to next"
> button.    

I'm quite sure that the mechanism of abrt to find duplicate backtraces is not optimal. There are many issues mixed up in this bug report. If you find a reproducible problem, please just open a new bug report including steps to reproduce and the exact version number of banshee. This will for sure speed up solving the issue.
Comment 7 Daniel Demus 2010-04-09 03:29:22 EDT

How to reproduce
-----
1. Close laptop lid
2. Open lid
3. ABRT registers a crash


Comment
-----
Resuming from suspend to ram
Comment 8 Misha Shnurapet 2010-04-13 05:59:37 EDT

Comment
-----
simply crashed
Comment 9 Misha Shnurapet 2010-04-16 14:39:27 EDT

Comment
-----
$ banshee-1 
[Info  03:22:51.822] Running Banshee 1.6.0: [Fedora12-1.6.0-1.fc12 (linux-gnu, x86_64) @ 2010-04-08 20:26:51 UTC]
[Info  03:23:00.664] Starting collection of anonymous usage data
[Info  03:23:04.467] [Streamrecorder.Gst.Marshaller] gstreamer version found: GStreamer 0.10.28
[Info  03:23:04.628] All services are started 11,54609s
[Info  03:23:13.913] nereid Client Started
Ошибка сегментирования (core dumped) ← "Segmentation fault"

banshee-1.6.0-1.fc12.x86_64
banshee-community-extensions-1.6.0-1.fc12.x86_64

Set Alarm Clock and clicked OK.
Comment 10 Misha Shnurapet 2010-04-16 14:41:12 EDT

Comment
-----
$ banshee-1 
[Info  03:36:39.654] Running Banshee 1.6.0: [Fedora12-1.6.0-1.fc12 (linux-gnu, x86_64) @ 2010-04-08 20:26:51 UTC]
[Info  03:36:40.066] Starting collection of anonymous usage data
[Info  03:36:41.481] [Streamrecorder.Gst.Marshaller] gstreamer version found: GStreamer 0.10.28
[Info  03:36:41.544] All services are started 1,606618s
[Info  03:36:43.404] nereid Client Started
[Warn  03:36:50.049] Seem to be stuck loading file:///home/shnurapet/%D0%9C%D1%83%D0%B7%D1%8B%D0%BA%D0%B0/Various%20Artists/%D0%91%D1%83%D0%BC%D0%B5%D1%80%20(2003)/%D0%9E%D1%81%D0%B5%D0%BD%D1%8C.ogg, so re-trying
Ошибка сегментирования (core dumped) ← "Segmentation fault"

banshee-1.6.0-1.fc12.x86_64
banshee-community-extensions-1.6.0-1.fc12.x86_64

Set Alarm time and clicked OK.
Comment 11 Misha Shnurapet 2010-04-16 14:51:54 EDT

How to reproduce
-----
1. Open Banshee
2. Select a track
3. Go to Alarm plugin settings, set the alarm time and click OK.


Comment
-----
http://pastebin.org/153931

file:///home/shnurapet/%D0%9C%D1%83%D0%B7%D1%8B%D0%BA%D0%B0/Natasha%20Bedingfield/Pocketful%20Of%20Sunshine%20(2008)/08.%20Angel.flac — this was the file selected.
Comment 12 Christian Krause 2010-04-16 15:52:30 EDT
(In reply to comment #11)
> How to reproduce
> -----
> 1. Open Banshee
> 2. Select a track
> 3. Go to Alarm plugin settings, set the alarm time and click OK.

Unfortunately the Alarm Clock extension is broken:

https://bugzilla.gnome.org/show_bug.cgi?id=614719
Comment 13 Bug Zapper 2010-11-03 19:51:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-03 18:46:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.